﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/mercury2269/sqsmover/releases/download/v0.3.14/sqsmover_Windows_x86_64.zip'
$url64      = 'https://github.com/mercury2269/sqsmover/releases/download/v0.3.14/sqsmover_Windows_x86_64.zip'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE_MSI_OR_MSU'
  url           = $url
  url64bit      = $url64

  softwareName  = 'sqsmover*'

  checksum      = '9c3dccbeb2c938367e540dab917a2fab362969ab3e2775ab785d3c9e6fcd68a7'
  checksumType  = 'sha256'
  checksum64    = '9c3dccbeb2c938367e540dab917a2fab362969ab3e2775ab785d3c9e6fcd68a7'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyZipPackage $packageName $url $toolsDir $url64 -checksum $checksum -checksumType $checksumType -checksum64 $checksum64 -checksumType64 $checksumType64